Category Features, Object ProFeature

Function ProFeatureWithoptionsCreate


Description
Creates a feature from the element tree.

NOTE:

Refer to the Creo Parametric Toolkit Release Notes for more information on restrictions of using this function with Multi-CAD models.

Synopsis
#include <ProFeature.h>
ProErrorProFeatureWithoptionsCreate(
ProSelection model
/* (In)
A selection object representing the part or assembly on which the feature is being created. The selection object must be constructed using a valid assembly component path to the top level assembly if:
  • the feature contains external references to geometry located outside of the solid model where it will be constructed.
  • or, the solid model in which the feature will be constructed is a member of the active Creo Parametric assembly.
*/
ProElement elemtree
/* (In)
The element tree.
*/
ProFeatureCreateOptions* options
/* (In)
A ProArray array of user options.
*/
int flags
/* (In)
The regeneration control flags. Pass as bitmask containing one or more of the bit flags PRO_REGEN* defined in ProSolid.h
*/
ProFeature* p_feature
/* (Out)
The feature handle.
*/
ProErrorlist* p_errors
/* (Out)
The list of errors.
*/
)
Returns
PRO_TK_NO_ERRORThe function successfully created the feature.
PRO_TK_BAD_INPUTSOne or more of the input arguments are invalid.
PRO_TK_GENERAL_ERRORThe feature was not created. See p_errors for the list of problems.
PRO_TK_UNSUPPORTEDIf creating embedded component feature in different owner asm or sub-asm.

Manual References:

  1. Core: Features: Manipulating Features based on Regeneration Flags
  2. Element Trees: Principles of Feature Creation: Calling ProFeatureCreate()
  3. Working with Multi-CAD Models Using Creo Unite: Overview

Sample Code References:

  1. pt_examples ( TestAsm.c )
  2. pt_examples ( UtilFeats.c )
  3. pt_examples ( SketchFeatureCreate.c )
  4. pt_examples ( TestDtmPln.c )
  5. pt_examples ( TestDtmPln.c )
  6. pt_examples ( TestDtmPln.c )
  7. pt_examples ( TestExtrude.c )
  8. pt_examples ( TestExtrude.c )
  9. pt_examples ( TestClCmd.c )
  10. pt_examples ( TestClCmd.c )
  11. pt_examples ( TestMfgFixt.c )
  12. pt_examples ( TestMfgOper.c )
  13. pt_examples ( UtilMfgWcell.c )
  14. pt_geardesign ( GearDesign.c )
  15. pt_geardesign ( GearDesign.c )
  16. pt_geardesign ( GearDesign.c )
  17. pt_userguide ( UgDatumCreate.c )
  18. pt_userguide ( Ug3DSweepCreate.c )
  19. pt_userguide ( UgChamferTemplate.c )
  20. pt_userguide ( UgCreoSweepCreate.c )
  21. pt_userguide ( UgDatumAxisCreate.c )
  22. pt_userguide ( UgDraftTemplate.c )
  23. pt_userguide ( UgEdgeChamferCreate.c )
  24. pt_userguide ( UgEdgeRoundCreate.c )
  25. pt_userguide ( UgFieldPointCreate.c )
  26. pt_userguide ( UgFlexModelCreate.c )
  27. pt_userguide ( UgFlexModelCreate.c )
  28. pt_userguide ( UgFlexModelCreate.c )
  29. pt_userguide ( UgGeneralCsysCreate.c )
  30. pt_userguide ( UgGeneralPointCreate.c )
  31. pt_userguide ( UgHoleCreate.c )
  32. pt_userguide ( UgIntcollectionDraftCreate.c )
  33. pt_userguide ( UgOADraftCreate.c )
  34. pt_userguide ( UgOffsetPointCreate.c )
  35. pt_userguide ( UgRoundTemplate.c )
  36. pt_userguide ( UgSimpleDraftCreate.c )
  37. pt_userguide ( UgSketchedCurveCreate.c )
  38. pt_userguide ( UgSketchedPointCreate.c )
  39. pt_userguide ( UgSktExtrusionCut.c )
  40. pt_userguide ( UgSktExtrusionProtrusion.c )
  41. pt_userguide ( UgSktExtrusionProtrusionExtSkt.c )
  42. pt_userguide ( UgSktExtrusionSurfaceCapped.c )
  43. pt_userguide ( UgSktExtrusionSurfaceTrim.c )
  44. pt_userguide ( UgSktExtrusionTemplate.c )
  45. pt_userguide ( UgSktExtrusionThin.c )
  46. pt_userguide ( UgSktFirstFeatureCreate.c )
  47. pt_userguide ( UgSktFirstFeatureRevCreate.c )
  48. pt_userguide ( UgSktRevolveProtrusion.c )
  49. pt_userguide ( UgSktRevolveProtrusionExtSkt.c )
  50. pt_userguide ( UgSktRevolveSurface.c )
  51. pt_userguide ( UgSktRevolveTemplate.c )
  52. pt_userguide ( UgSktRevolveThinCut.c )
  53. pt_userguide ( UgSmtExtendWallCreate.c )
  54. pt_userguide ( UgSmtFlatWallCreate.c )
  55. pt_userguide ( UgSmtFlgWallCreate.c )
  56. pt_userguide ( UgSweepCreate.c )
  57. pt_userguide ( UgNcseq.c )
  58. pt_userguide ( UgNcseq.c )